package net.launchpad.sl.trip;

/**
 * Thrown when we get error messages from "http://reseplanerare.sl.se".
 *
 * @author johan.walles@gmail.com
 */
public class TripException extends Exception {
    /**
     * Create a new SL error message.
     *
     * @param message What the web page thought went wrong
     */
    public TripException(String message) {
        super(message);
    }

    /**
     * Create a new SL error message.
     *
     * @param message What you tried to do
     *
     * @param cause The exception you got when trying to do that
     */
    public TripException(String message, Throwable cause) {
        super(message, cause);
    }
}
